Bug 22457 - comps: Network Server install class is not structured well
comps: Network Server install class is not structured well
Status: CLOSED DUPLICATE of bug 18637
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Preston Brown
Brock Organ
Florence Beta-3
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-18 14:06 EST by Pekka Savola
Modified: 2007-03-26 23:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-10 14:43:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2000-12-18 14:06:20 EST
This is ~duplicate of #18637, but it was public so...

Network Management Workstation and IPX/Netware Connectivity include 
Network Server class.  As Network Server class includes all kinds of useless 
network services, this isn't in line with usual 'Workstation == Secure by default'
theme.

Also, Network Servers shouldn't include that much cruft _either_.

Remove Network Server requirement or:


MY RECOMMENDATION:

In Networked Workstation, include:

openssh-server <-- most users want this..
sysstat <-- not a network service, no harm done.

Then Network Server can be trashed altogether:

- All Network classes that require xinetd include it themselves.  
- ypserv isn't really used that much, no need to install that everywhere
- telnet-server _might_ have to be included, but really shouldn't :-(
- the rest (talk-server, rusers-server, rwall-server, finger-server, rsh-server) are just plain junk.
Comment 1 Daniel Roesen 2000-12-18 15:08:11 EST
request seconded.
Comment 2 Michael Fulbright 2000-12-19 11:31:10 EST
We are going to have these services off by default so this should not be a issue.

Assigning this to head developer to make final call.
Comment 3 Pekka Savola 2000-12-19 11:46:20 EST
I could understand why services you might actually sometimes need -- but are
disabled by default, like telnet-server -- would be installed but I see zero need 
for talk-server etc. :-)
Comment 4 Preston Brown 2001-01-09 11:45:40 EST
the network server packages in rawhide are secured (off) by default.
Comment 5 Brock Organ 2001-01-10 14:44:49 EST
since this is the same issue as 18637 and that issue is marked closed, I'm
duplicating this against it ... please reopen if there is something in here we
missed ... thanks for your report!

*** This bug has been marked as a duplicate of 18637 ***

Note You need to log in before you can comment on or make changes to this bug.